Description

In addition to the nice improvements in #10485 and #28067 I would like to propose to also add the context menu to the attributes in

the issue details view.

One can move through the stack of issues and quickly change the status or priority without the need of entering the edit mode.

This allows the user to manipulate attributes of the issue without leaving the context.

Related issues:

Related to Redmine - Feature #28829: Add right-click context menu to the cont... Reopened

History

#1 - 2018-01-26 17:17 - Bernhard Rohloff

- File screenshot_details_context_menu.png added

This is the result of the patch:

 screenshot_details_context_menu.png 

#2 - 2018-01-26 22:01 - Marius BĂLTEANU

Bernhard Rohloff wrote:

One can move through the stack of issues and quickly change the status or priority without the need of entering the edit mode.

This allows the user to manipulate attributes of the issue without leaving the context.

 This need (to move the issue in another state or just to update a single attribute without entering in the edit mode) is something that I’ve mind for a

long time, but I found it quite challenging. I see 2 needs here:

1. A quicker way to change the issue status but keeping in the account the workflow settings.

For example:

- you are in state New and you want to change the status to In Progress

- in the workflow, the fields Assignee, Description and Estimated time are required for state In Progress

- when you hit the new button/link to change the status to In Progress, this new way should allows you to fill the required fields. Just throwing a

validation messages is not enough from my point of view.

2. Inline editing of the issue attributes (excepting status).

This solution should work for all issue’s editable attributes for your user/role.

Regarding your solution from the patch (without testing it), it works ok only for some attributes changes.

#3 - 2018-01-27 17:10 - Bernhard Rohloff

- Status changed from New to Resolved

Marius BALTEANU wrote:

Regarding your solution from the patch (without testing it), it works ok only for some attributes changes.

 Thank you for your kind feedback Marius. It wasn't my intention to make the issue completely editable. But you are right, a possibility to edit the whole

issue within this view would be the better solution anyway. So I think I'll try to beat my head around that corner and come up with my (hopefully better)

ideas in another feature proposal. Or is there a better place to propose "half baked" ideas? ;-)

#4 - 2018-02-22 21:44 - Marius BĂLTEANU
Bernhard Rohloff wrote:

Thank you for your kind feedback Marius. It wasn't my intention to make the issue completely editable. But you are right, a possibility to edit the

whole issue within this view would be the better solution anyway. So I think I'll try to beat my head around that corner and come up with my

(hopefully better) ideas in another feature proposal. Or is there a better place to propose "half baked" ideas? ;-)

 I think new issues for each feature proposal are the best option because we'll have more chances to take feedback from the community.

If you're going to add issues for the "needs"  mentioned in my previous comment, I'll dump there my thoughts and some screenshoots/wireframes that

I've in mind.

#5 - 2018-05-22 02:33 - Go MAEDA

- Related to Feature #28829: Add right-click context menu to the contextual area of an issue added

#6 - 2018-05-22 04:37 - Go MAEDA

A patch which adds a context menu with a different approach has posted in #28086. I think that patch is very consistent with the UI of issues list

introduced by #26655 and you all should like it. Please take a look.

 28829-screenshot@2x.png 

#7 - 2018-05-22 04:37 - Go MAEDA

- Status changed from Resolved to New

#8 - 2018-05-29 06:52 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

A very similar feature #28829 has been committed in r17354. I think we can close this issue.

Files

add_contextmenu_to_issue_details.patch 3.16 KB 2018-01-26 Bernhard Rohloff

screenshot_details_context_menu.png 63.7 KB 2018-01-26 Bernhard Rohloff
